Bug 65605 - Cant build text only, requires Gnome
Summary: Cant build text only, requires Gnome
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: passwd (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-28 14:20 UTC by Michael McLagan
Modified: 2013-07-02 22:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-31 19:25:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael McLagan 2002-05-28 14:20:10 UTC
Description of Problem:
passwd requires Gnome libraries

Version-Release number of selected component (if applicable):
0.67-1

How Reproducible:
Always

Steps to Reproduce:
1. try to install passwd RPM without libg, etc.
2. 
3. 

Actual Results:
RPM refuses to install.  Ignoring dependancies leaves a passwd that
will not run.

Expected Results:
Passwd is a text program and should not require graphical libraries to
install or run

Additional Information:

Comment 1 Jindrich Novy 2004-10-31 19:25:34 UTC
Michael, glib is not a graphical library at all. It is used frequently
by GTK+ and GDK, but it's not related very much to graphics. It
contains very useful functions not present in glibc such as g_malloc,
g_strdup, etc. and is also used heavily by some other pure text
oriented applications such as mc.


Note You need to log in before you can comment on or make changes to this bug.